alter table URUNDANA_USER_INVESTMENT_PREFERENCE add constraint FK_URUNDANA_USER_INVESTMENT_PREFERENCE_ON_USER foreign key (USER_ID) references SEC_USER(ID);
alter table URUNDANA_USER_INVESTMENT_PREFERENCE add constraint FK_URUNDANA_USERINVESTMEPREFEREN_ON_INVESTMENT_PREFERENCE foreign key (INVESTMENT_PREFERENCE_ID) references URUNDANA_INDUSTRY_CATEGORY(ID);
alter table URUNDANA_USER_INVESTMENT_PREFERENCE add constraint FK_URUNDANA_USER_INVESTMENT_PREFERENCE_ON_PREFERENCE_PROFILE foreign key (PREFERENCE_PROFILE_ID) references URUNDANA_PREFERENCE_PROFILE(ID);
alter table URUNDANA_USER_INVESTMENT_PREFERENCE add constraint FK_URUNDANA_USER_INVESTMENT_PREFERENCE_ON_PROFILE foreign key (PROFILE_ID) references URUNDANA_PROFILE(ID);
create index IDX_URUNDANA_USER_INVESTMENT_PREFERENCE_ON_USER on URUNDANA_USER_INVESTMENT_PREFERENCE (USER_ID);
create index IDX_URUNDANA_USERINVESTMPREFERE_ON_INVESTMENT_PREFERENCE on URUNDANA_USER_INVESTMENT_PREFERENCE (INVESTMENT_PREFERENCE_ID);
create index IDX_URUNDANA_USER_INVESTMENT_PREFERENCE_ON_PREFERENCE_PROFILE on URUNDANA_USER_INVESTMENT_PREFERENCE (PREFERENCE_PROFILE_ID);
create index IDX_URUNDANA_USER_INVESTMENT_PREFERENCE_ON_PROFILE on URUNDANA_USER_INVESTMENT_PREFERENCE (PROFILE_ID);
